package com.epson.mobilephone.common.maintain2;

import android.os.Parcel;
import android.os.Parcelable;

public class BatteryInfo implements Parcelable {
    public static final Parcelable.Creator<BatteryInfo> CREATOR = new Parcelable.Creator<BatteryInfo>() {
        public BatteryInfo createFromParcel(Parcel parcel) {
            return new BatteryInfo(parcel);
        }

        public BatteryInfo[] newArray(int i) {
            return new BatteryInfo[i];
        }
    };
    public static final int EPS_CHARGE_STATE_CHARGING = 1;
    public static final int EPS_CHARGE_STATE_NONE = 0;
    public static final int EPS_POWER_SOUECE_AC = 1;
    public static final int EPS_POWER_SOUECE_BATTERY = 2;
    public static final int EPS_POWER_SOUECE_NOT_SUPPORTED = -1;
    public static final int EPS_POWER_SOUECE_UNKNOWN = 0;
    public int batteryChargeState;
    public int batteryRemain;
    public int powerSourceType;

    public int describeContents() {
        return 0;
    }

    public BatteryInfo() {
    }

    private BatteryInfo(Parcel parcel) {
        powerSourceType = parcel.readInt();
        batteryChargeState = parcel.readInt();
        batteryRemain = parcel.readInt();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(powerSourceType);
        parcel.writeInt(batteryChargeState);
        parcel.writeInt(batteryRemain);
    }
}
